TMtype=0
var lt=new Array("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z")
Router_MainMenu=new Array()
Router_MainMenulk=new Array()
MainMenu=new Array()
MainMenulk=new Array()
var sp_gnss=true;
swm_sadm_gnss=sp_gnss;              //L3 -->385_Sta_Adm_GNSS
swm_loctracking=sp_gnss;                //L2 --> Location Tracking
swm_gnss_g2=sp_gnss;                     //L3 -->e51_Ser_LocTracking_GNSS
m_wizard=new Array(GetElmCont("wiz_0","Wizard"),"wiz")
m_wizard_network=new Array(GetElmCont("wiz_0","Network Setup Wizard")+"~","wiz~")
m_wizard_vpn=new Array(GetElmCont("wiz_0","VPN Setup Wizard"),"wiz_vpn~")
m_status=new Array(GetElmCont("wary_0","Status"),"dash_network")
m_dashboard=new Array(GetElmCont("dashboard_0","Dashboard")+"~","dash_network~","m_device_dashboard")
m_device_dashboard=new Array(GetElmCont("dashboard_0","Device Dashboard")+"~","dash_network~")
m_status_network=new Array(GetElmCont("astatus_0","Network Status")+"~","status~")
m_status_wireless=new Array(GetElmCont("astatus_0","WiFi Status")+"~","sta_wireless~")
m_status_clientlist=new Array(GetElmCont("astatus_0","LAN Client List")+"~","sta_lanlist~")
m_status_firewall=new Array(GetElmCont("astatus_0","Firewall Status")+"~","sta_frwl~")
if(typeof(swm_sta_vpn) == 'undefined'){
m_status_vpn=new Array(GetElmCont("astatus_0","VPN Status")+"~","sta_vpn~")
}
else{
m_status_vpn=new Array(GetElmCont("astatus_0","VPN Status")+"~","sta_vpn~","m_sta_vpn","m_sta_opvpn")
m_sta_vpn=new Array(GetElmCont("astatus_0","VPN Status")+"~","sta_vpn~")
m_sta_opvpn=new Array("OpenVPN Status~","sta_opvpncli~")
}
m_status_system=new Array(GetElmCont("astatus_0","System Mgmt. Status")+"~","sta_system~")
m_status_voip=new Array(GetElmCont("astatus_0","Voice Status")+"~","sta_voice~","m_voip_status","m_3gvoip_status")
m_voip_status=new Array(GetElmCont("astatus_0","VoIP Status")+"~","sta_voice~")
m_3gvoip_status=new Array(GetElmCont('astatus_0','Vo3G Status')+"~","sta_3gvoice~")
m_status_ddns=new Array(GetElmCont("astatus_0","DDNS Status")+"~","sta_dyn_dns~")
m_status_upnp=new Array(GetElmCont("astatus_0","UPnP Port Status")+"~","sta_uport~")
m_status_usb=new Array(GetElmCont("astatus_0","Storage Status")+"~","sta_usb~")
m_status_statis=new Array(GetElmCont("astatus_0","Statistic & Reports")+"~","sta_surf~","m_statis_surf","m_statis_traffic","m_statis_manager","m_statis_captive","m_statis_dusage")
m_statis_surf=new Array(GetElmCont('astatus_0','Internet Surfing List')+"~","sta_surf~")
m_statis_traffic=new Array(GetElmCont('astatus_0','Network Traffic Statistics')+"~","sta_traffic~")
m_statis_manager=new Array(GetElmCont('astatus_0','Device Manager Login Statistics')+"~","sta_manager~")
m_statis_captive=new Array(GetElmCont('astatus_0','Captive Portal User Login Statistics')+"~","sta_captive.htm?Nfr=1~")
m_statis_dusage=new Array(GetElmCont('astatus_0','Data Usage Records')+"~","sta_dusage~")
m_status_gnss=new Array(GetElmCont("gnss_0","GNSS Status")+"~","sta_gnss~","m_gnss_status")
m_gnss_status=new Array(GetElmCont("gnss_0","GNSS Status")+"~","sta_gnss~")
m_sta_basic=new Array(GetElmCont("abasic_0","Basic Network")+"~","status~","m_sbas_wan_uplink","m_sbas_lan_vlan","m_sbas_wifi","m_sbas_dnss")
m_sbas_wan_uplink=new Array(GetElmCont("xx_0","WAN & Uplink")+"~","status~")
m_sbas_lan_vlan=new Array(GetElmCont("xx_0","LAN & VLAN")+"~","sta_lanlist~")
m_sbas_wifi=new Array(GetElmCont("xx_0","WiFi")+"~","sta_wireless~")
m_sbas_dnss=new Array(GetElmCont("xx_0","DDNS")+"~","sta_dyn_dns~")
m_sta_security=new Array(GetElmCont("xx_0","Security")+"~","sta_vpn~","m_ssec_vpn","m_ssec_firewell")
m_ssec_vpn=new Array(GetElmCont("xx_0","VPN")+"~","sta_vpn~")
m_ssec_firewell=new Array(GetElmCont("xx_0","Firewall")+"~","sta_frwl~")
m_sta_administration=new Array(GetElmCont("xx_0","Administration")+"~","sta_system~","m_sadm_conf_manage","m_sadm_log_storage","m_sadm_gnss")
m_sadm_conf_manage=new Array(GetElmCont("xx_0","Configure & Manage")+"~","sta_system~")
m_sadm_log_storage=new Array(GetElmCont("xx_0","Log Storage")+"~","sta_usb~")
m_sadm_gnss=new Array(GetElmCont("xx_0","GNSS")+"~","sta_gnss~")
m_sta_statis=new Array(GetElmCont("xx_0","Statistics & Reports")+"~","sta_surf~","m_ssr_connect_session","m_ssr_network_traffic","m_ssr_device_admin","m_ssr_portal_usage","m_ssr_cellular_usage","m_ssr_session_usage")
m_ssr_connect_session=new Array(GetElmCont("xx_0","Connection Session")+"~","sta_surf~")
m_ssr_network_traffic=new Array(GetElmCont("xx_0","Network Traffic")+"~","sta_traffic~")
m_ssr_device_admin=new Array(GetElmCont("xx_0","Device Administration")+"~","sta_manager~")
m_ssr_portal_usage=new Array(GetElmCont("xx_0","Portal Usage")+"~","sta_captive.htm?Nfr=1~")
m_ssr_cellular_usage=new Array(GetElmCont("xx_0","Cellular Usage")+"~","sta_dusage~")
m_ssr_session_usage=new Array(GetElmCont("xx_0","Session Usage")+"~","sta_session_usage~")
m_basic=new Array(GetElmCont("abasic_0","Basic Network"),"_basic")
m_lan_wan=new Array(GetElmCont("x_0","WAN & Uplink")+'~','prim~',"m_phy","m_network","m_load_balance","m_vwan_g2","m_wan_bonding")
m_phy=new Array(GetElmCont('sta_0','Physical Interface')+'~','phy~')
m_network=new Array(GetElmCont('prim_0','Internet Setup')+'~','prim~')
m_load_balance=new Array(GetElmCont('lb_0','Load Balance')+'~',"load_balance~")
m_vwan_g2=new Array(GetElmCont('vwan_0','Virtual WAN')+'~',"vwan~")
m_wan_bonding=new Array(GetElmCont('wbond_0','WAN Bonding')+'~',"wan_bonding~")
m_vlan=new Array(GetElmCont("abasic_0","LAN & VLAN")+'~',"lanset~","m_lan_set","m_lan_vlan","m_devtype_set","m_redundancy_uart","m_poe")
m_lan_set=new Array(GetElmCont("lanset_0","Ethernet LAN")+'~',"lanset~")
m_lan_vlan=new Array("VLAN~","vid~")
m_devtype_set=new Array("Device Network Type~","devtype~")
m_redundancy_uart=new Array("Serial LAN~","uart~")
m_poe = new Array(GetElmCont('poe_0',"PoE")+"~","poe~")
m_dhcp_server_g2=new Array(GetElmCont("abasic_0","DHCP Server")+"~","dhcp~")
m_wireless=new Array(GetElmCont('wiz_0','WiFi')+'~','wpa~',"m_wireless2g","m_wifi_module1","m_wifi_module2","m_wireless_client_list","m_wireless_set","m_uplink_profile")
m_wireless2g=new Array(GetElmCont('wary_0','Configuration')+'~','wpa~')
m_wifi_module1=new Array(GetElmCont('wpa_0','WiFi Module One')+'~','wpa~')
m_wifi_module2=new Array(GetElmCont('wpa_0','WiFi Module Two')+'~','wpa2~')
m_wireless_client_list=new Array(GetElmCont('wlcl_0','Wireless Client List')+'~','wlcl~')
m_wireless_set=new Array(GetElmCont('wlpfe_0','Advanced Configuration')+'~','wlpfe~')
m_uplink_profile=new Array(GetElmCont('wlpfe_0','Uplink Profile')+'~','uplink_profile~')
m_ipv6=new Array(GetElmCont('abasic_0','IPv6')+'~','ipv6~',"m_ipv6_set")
m_ipv6_set=new Array(GetElmCont('wary_0','Configuration')+'~','ipv6~')
m_nat=new Array(GetElmCont("loopback_0","NAT / Bridging")+"~","loopback~","m_loopback","m_virtual_server_computer","m_special_ap","m_dmz","m_sdmz","m_ip_translation")
m_loopback=new Array(GetElmCont('wary_0','Configuration')+'~',"loopback~")
m_virtual_server_computer=new Array(GetElmCont("abasic_0","Virtual Server")+" & "+GetElmCont("smap_0","Virtual Computer")+'~',"smap~")
m_special_ap=new Array(GetElmCont('abasic_0','Special AP')+' & ALG~',"spap~")
m_dmz=new Array('DMZ & Pass Through~',"dmz~")
m_sdmz=new Array('SDMZ~',"sdmz~")
m_ip_translation=new Array(GetElmCont("wary_0","IP Translation")+"~","otonat~")
m_nat_g2=new Array(GetElmCont("x_0","Port Forwarding")+"~","loopback","m_loopback_g2","m_virtual_server_computer_g2","m_ip_translation_g2","m_special_ap_g2","m_dmz_g2","m_sdmz_g2")
m_loopback_g2=new Array(GetElmCont('wary_0','Configuration')+'~',"loopback~")
m_virtual_server_computer_g2=new Array(GetElmCont("abasic_0","Virtual Server")+" & "+GetElmCont("smap_0","Virtual Computer")+'~',"smap~")
m_ip_translation_g2=new Array(GetElmCont("wary_0","IP Translation")+"~","otonat~")
m_special_ap_g2=new Array(GetElmCont('abasic_0','Special AP')+' & ALG~',"spap~")
m_dmz_g2=new Array('DMZ & Pass Through~',"dmz~")
m_sdmz_g2=new Array('SDMZ~',"sdmz~")
m_routing=new Array(GetElmCont("abasic_0","Routing")+"~","rtab~","m_static_routing","m_dynamic_routing","m_routing_info")
m_static_routing=new Array(GetElmCont("rtab_0","Static Routing")+"~","rtab~")
m_dynamic_routing=new Array(GetElmCont("rtab_0","Dynamic Routing")+"~","drtab~")
m_routing_info=new Array(GetElmCont("rtab_0","Routing Information")+"~","routing~")
m_client_server_proxy=new Array(GetElmCont('abasic_0',"Client / Server / Proxy")+"~","dhcp~","m_dynamic_dns","m_dhcp_server","m_dhcp_option","m_static_arp")
m_dynamic_dns=new Array(GetElmCont("abasic_0","Dynamic DNS")+"~","ddns~")
m_dhcp_server=new Array(GetElmCont("abasic_0","DHCP Server")+"~","dhcp~")
m_static_arp=new Array(GetElmCont("arp_0","Static ARP")+"~","static_arp~")
m_dhcp_option = new Array(GetElmCont('abasic_0',"DHCP Server Options")+"~","dhcp_option~");
m_dns_ddns=new Array(GetElmCont('xxx_0',"DNS & DDNS")+"~","ddns~","m_dns_conf");
m_dns_conf=new Array(GetElmCont("wary_0","Configuration")+"~","ddns~");
m_qos_g2=new Array(GetElmCont("omenus_46","QoS")+"~","qos_rulebased","m_qos_rulebased_g2")
m_qos_rulebased_g2=new Array(GetElmCont("balance_0","Configuration")+"~","qos_rulebased~")
m_redundancy_g2=new Array(GetElmCont("aadv_0","Redundancy")+"~","vrrp~","m_redundancy_vrrp_g2")
m_redundancy_vrrp_g2=new Array("VRRP~","vrrp~")
m_advanced=new Array(GetElmCont("aadv_0","Advanced Network"),"_adv")
m_firewall=new Array(GetElmCont("aadv_0","Firewall")+"~","firewall_conf~","m_firewall_conf","m_packet_filters","m_url_blocking","m_webcont_filters","m_mac_control","m_l7_filters","m_acc_control","m_ips","m_firewall_others")
m_firewall_conf=new Array(GetElmCont("wary_0","Configuration")+"~","firewall_conf~")
m_packet_filters=new Array(GetElmCont("astatus_0","Packet Filters")+"~","iopf~")
m_url_blocking=new Array(GetElmCont('astatus_0','URL Blocking')+"~","uctl~")
m_webcont_filters=new Array(GetElmCont("astatus_0","Web Content Filters")+"~","webcont~")
m_mac_control=new Array(GetElmCont("astatus_0","MAC Control")+"~","pmac~")
m_l7_filters=new Array(GetElmCont("astatus_0","Application Filters")+"~","l7~")
m_acc_control=new Array(GetElmCont("wary_94","Access Control")+"~","access~")
m_ips=new Array("IPS~","ips~")
m_firewall_others=new Array(GetElmCont("astatus_0","Options")+"~","t_misc~")
m_qos=new Array(GetElmCont("omenus_46","QoS & BWM")+"~","qos_balance~","m_qos_Scenario","m_qos_3Pri_QQoS","m_qos_SmartQos","m_qos_rulebased")
m_qos_Scenario=new Array(GetElmCont("wary_0","Configuration")+"~","qos_balance~")
m_qos_3Pri_QQoS=new Array(GetElmCont("omenus_48","3-Priority Queue QoS")+"~","qos_rulebased1~")
m_qos_SmartQos=new Array(GetElmCont("omenus_49","Smart QoS")+"~","qos_smart.htm~")
m_qos_rulebased=new Array(GetElmCont("balance_0","Rule-based QoS")+"~","qos_rulebased~")
m_s_vpn=new Array("VPN~","vpn_conf~","m_vpn_conf","m_ipsec","m_pptpserver","m_l2tpserver")
m_vpn_conf=new Array(GetElmCont("wary_0","Configuration")+"~","vpn_conf~")
m_ipsec=new Array(GetElmCont("wizvpn10_0","IPSec")+"~","vpn0~")
m_pptpserver=new Array(GetElmCont("sta_0","PPTP")+"~","pptps~")
m_l2tpserver=new Array(GetElmCont("sta_0","L2TP")+"~","l2tps~")
m_s_gre=new Array(GetElmCont("wary_106","GRE")+"~","gre","m_gretunnel")
m_gretunnel=new Array(GetElmCont("wary_106","GRE Tunnel")+"~","gre~")
m_s_eoip=new Array(GetElmCont("eoip_0","EoIP")+"~","eoip0","m_eoiptunnel")
m_eoiptunnel=new Array(GetElmCont("eoip_0","EoIP")+"~","eoip0~")
m_s_sslvpn=new Array("SSL VPN~","sslvpn~","m_sslvpn")
m_sslvpn=new Array("SSL VPN~","sslvpn~")
m_s_opvpn=new Array(GetElmCont("_x","OpenVPN")+"~","opvpnsv~","m_openvpn")
m_openvpn=new Array(GetElmCont("_x","OpenVPN")+"~","opvpnsv~")
m_redundancy=new Array(GetElmCont("aadv_0","Redundancy")+"~","vrrp~","m_redundancy_vrrp")
m_redundancy_vrrp=new Array("VRRP~","vrrp~")
m_management=new Array(GetElmCont("aadv_0","System Management")+"~","tr069~","m_tr069","m_snmp","m_telnet","m_upnp")
m_tr069=new Array("TR-069~","tr069~")
m_snmp=new Array("SNMP~","snmp~")
m_telnet=new Array(GetElmCont("telcli_0","Telnet with CLI")+"~","telnet_with_cli~")
m_upnp=new Array(GetElmCont("wary_116","UPnP")+"~","upnp~")
m_certificate=new Array(GetElmCont("certificate_10","Certificate")+"~","config_cert~","m_mycertca","m_mycert","m_tru_cert","m_iss_cert")
m_mycertca=new Array(GetElmCont("wary_0","Configuration")+"~","config_cert~")
m_mycert=new Array(GetElmCont("certificate_9","My Certificates")+"~","certificate~")
m_tru_cert=new Array(GetElmCont("certificate_11","Trusted Certificates")+"~","tru_cert~")
m_iss_cert=new Array(GetElmCont("certificate_12","Issue Certificates")+"~","iss_cert~")
m_communication_bus=new Array(GetElmCont("omenus_46","Communication Bus")+"~","port_config~","m_port_config","m_virtual_com","m_virtual_dailup","m_modbus","m_iec","m_datalog")
m_port_config=new Array(GetElmCont("omenus_47","Port Configuration")+"~","port_config~")
m_virtual_com=new Array(GetElmCont("omenus_48","Virtual COM")+"~","virtual_com~")
m_virtual_dailup=new Array(GetElmCont("omenus_49","virtual Dial-Up")+"~","virtual_dailup~")
m_modbus=new Array(GetElmCont("omenus_50","Modbus")+"~","modbus~")
m_iec=new Array(GetElmCont("_x","IEC 60870-5")+"~","Iec~")
m_datalog=new Array(GetElmCont("_x","Data Logging")+"~","datalog~")
m_applications=new Array(GetElmCont("aapps_0","Applications"),"_app")
m_voice=new Array("Voice~","voice_over_ip~","m_voice_over_ip","m_voice_over_3g")
m_voice_over_ip=new Array("Voice over IP~","voice_over_ip~")
m_voice_over_3g=new Array("Voice over 3G~","voice_over_3g~")
m_mobile_applications=new Array(GetElmCont("aapps_0","Mobile Applications")+"~","mobile_sms~","m_sms","m_ussd","m_network_scan","m_remote","m_autoact","m_pinco")
m_sms=new Array("SMS"+"~","mobile_sms~")
m_ussd=new Array("USSD"+"~","mobile_ussd~")
m_network_scan=new Array("Network Scan"+"~","mobile_network_scan~")
m_remote=new Array("SMS Management"+"~","mobile_remote~") //for 20150930 CTA-9b7-FA0 改稱 SMS_Management
m_autoact=new Array("Auto-activation"+"~","mobile_autoact~")
m_pinco=new Array("SIM PIN"+"~","simpin~")
m_nas=new Array("NAS~","nas_conf~","m_nas_conf","m_nas_disk","m_nas_web","m_nas_download")
m_nas_conf=new Array(GetElmCont("wary_0","Configuration")+"~","nas_conf~")
m_nas_disk=new Array(GetElmCont("aappsnas_0","Disk Utility")+"~","nas_disk~")
m_nas_web=new Array(GetElmCont("aappsnas_0","Web HDD")+"~","/nas_web.htm?rc=&S801F0334=%2F~")
m_nas_download=new Array(GetElmCont("aappsnas_0","Download Assistant")+"~","nas_download~")
m_ap_management = new Array(GetElmCont('apcon_0',"AP Management")+"~","ap_config~","m_configuration","m_ap_list","m_ap_configuration","m_static_ap_list");
m_configuration = new Array(GetElmCont('wary_0',"Configuration")+"~","ap_config~")
m_ap_list = new Array(GetElmCont('aplist_0',"AP List")+"~","ap_ap_list~")
m_ap_configuration = new Array(GetElmCont('apcon_0',"AP Configuration")+"~","ap_ap_config.htm?Napconfig=1&Nindex=0~")
m_static_ap_list = new Array(GetElmCont('aplist_0',"Static AP List")+"~","static_ap_list~");
m_captive_protal = new Array(GetElmCont('ap_0',"Captive Portal")+"~","captive_protal~")
m_captive_configuration = new Array(GetElmCont('common_0',"Configuration")+"~","captive_protal~")
m_io_management = new Array(GetElmCont('io_0',"I/O Management")+"~","io_config~","m_io_configuration")
m_io_configuration = new Array(GetElmCont('wary_0',"Configuration")+"~","io_config~")
m_evt_management = new Array("Event Management~","evt_config~","m_evt_config","m_evt_manag","m_evt_notify")
m_evt_config = new Array(GetElmCont('wary_0',"Configuration")+"~","evt_config~")
m_evt_manag = new Array("Managing Events~","evt_manag~")
m_evt_notify = new Array("Notifying Events~","evt_notify~")
m_posittion_app = new Array(GetElmCont('gnss_0',"Position Applications")+"~","gnss~","m_gnss","m_track_viewer");
m_gnss = new Array(GetElmCont('gnss_0',"GNSS")+"~","gnss~");
m_track_viewer = new Array(GetElmCont('gnss_0',"Track Viewer")+"~","track_viewer~");
m_pdu_mgmt = new Array(GetElmCont('pdu_0',"PDU Management")+"~","pdu~","m_pdu","m_poe_mgmt")
m_pdu = new Array(GetElmCont('pdu_0',"Outlet Management")+"~","pdu~")
m_poe_mgmt = new Array(GetElmCont('poemgmt_0',"PoE Port Management")+"~","poe_mgmt~")
m_device_link = new Array(GetElmCont('devicelk_0',"Device-Link")+"~","devicelk~","m_devicelk")
m_devicelk = new Array(GetElmCont('devicelk_0',"Device-Link")+"~","devicelk~")
m_license = new Array(GetElmCont('license_0',"License Key")+"~","license_key~","m_license_key");
m_license_key = new Array(GetElmCont('license_0',"License Key")+"~","license_key~");
m_ftp = new Array("FTP~","ftp_svconfig~","m_ftp_server_config","m_ftp_user_account");
m_ftp_server_config = new Array("FTP Server Configuration~","ftp_svconfig~");
m_ftp_user_account = new Array("FTP User Account~","ftp_useraccount~");
m_plaintext_sys = new Array("Plain Text System Config.~","pltext_sys_cfg~","m_plaintext_sys_config");
m_plaintext_sys_config = new Array("Plain Text  System Config.~","pltext_sys_cfg~");
m_macAuth = new Array(GetElmCont('macAuth_0',"Mac Authentication")+"~","macAuth~","m_macAuth_link")
m_macAuth_link = new Array(GetElmCont('macAuth_0',"Mac Authentication")+"~","macAuth~")
m_system=new Array(GetElmCont("atoolbox_0","System"),"_toolbox")
m_system_related=new Array(GetElmCont('atoolbox_0','System Related')+"~","atbox~","m_password","m_system_name","m_system_information","m_system_status","m_system_tools","m_system_router_security","m_system_packet_analyzer")
m_password=new Array(GetElmCont('atoolbox_0','Change Password')+"~","atbox~")
m_system_name=new Array(GetElmCont("xx_0","System Name")+"~","system_name~")
m_system_information=new Array(GetElmCont("atoolbox_0","System Information")+"~","system_information~")
m_system_status=new Array(GetElmCont("atoolbox_0","System Status")+"~","system_status~")
m_system_tools=new Array(GetElmCont("atoolbox_0","System Tools")+"~","system_tools~")
m_system_datausage=new Array(GetElmCont("atoolbox_0","Data Usage")+"~","system_data_usage~")
m_system_router_security=new Array("Router Security"+"~","system_router_security~")
m_system_packet_analyzer=new Array(GetElmCont("xx_0","Packet Analyzer")+"~","system_packet_analyzer~")
m_schedule=new Array(GetElmCont('atoolbox_0','Scheduling')+"~","schedule_config~","m_schedule_set")
m_schedule_set=new Array(GetElmCont('sche_0','Schedule Settings')+"~","schedule_config~")
m_user_management=new Array(GetElmCont('ulist_0','User Management')+"~","user_list~","m_user_list","m_user_profile","m_user_group")
m_user_list=new Array(GetElmCont('ulist_0','User List')+"~","user_list~")
m_user_profile=new Array(GetElmCont('ulist_0','User Profile')+"~","user_list_add~")
m_user_group=new Array(GetElmCont('ulist_0','User Group')+"~","user_group~")
m_grouping=new Array(GetElmCont('gpcon_0','Grouping')+"~","grouping_config~","m_grouping_configuation","m_host_grouping","m_file_extension_grouping","m_l7_application_grouping","m_ap_grouping")
m_grouping_configuation=new Array(GetElmCont('wary_0',"Configuration")+"~","grouping_config~")
m_host_grouping=new Array(GetElmCont('gphost_0',"Host Grouping")+"~","host_grouping~")
m_file_extension_grouping=new Array(GetElmCont('gpfile_0',"File Extension Grouping")+"~","file_extension_grouping~")
m_l7_application_grouping=new Array(GetElmCont('gpl7_0',"L7 Application Grouping")+"~","l7_application_grouping~")
m_ap_grouping=new Array(GetElmCont('wary_0',"AP Grouping")+"~","ap_grouping~")
m_external_servers=new Array(GetElmCont('extserver_0','External Servers')+"~","external_servers~","m_external_configuation")
m_external_configuation=new Array(GetElmCont('extserver_0','External Servers')+"~","external_servers~")
m_mmi=new Array(GetElmCont('smisc_0','MMI')+"~","s_misc~","m_web_ui")
m_web_ui=new Array(GetElmCont('smisc_30','MMI')+"~","s_misc~")
m_powermgt=new Array(GetElmCont('ign_0','Power Management')+"~","Ignition~","m_power_ign")
m_power_ign=new Array(GetElmCont('ign_30','Ignition Sense')+"~","Ignition~")
m_object_definition=new Array(GetElmCont("xx_0","Object Definition"),"_odefini");
m_schedule_g2=new Array(GetElmCont('atoolbox_0','Scheduling')+"~","schedule_config~","m_schedule_conf")
m_schedule_conf=new Array(GetElmCont("wary_0","Configuration")+"~","schedule_config~")
m_user=new Array(GetElmCont('ulist_0','User')+"~","user_list~","m_user_list_g2","m_user_profile_g2","m_user_group_g2")
m_user_list_g2=new Array(GetElmCont('ulist_0','User List')+"~","user_list~")
m_user_profile_g2=new Array(GetElmCont('ulist_0','User Profile')+"~","user_list_add~")
m_user_group_g2=new Array(GetElmCont('ulist_0','User Group')+"~","user_group~")
m_grouping_releated=new Array(GetElmCont('gpcon_0','Grouping')+"~","grouping_config~","m_grouping_conf","m_host_grouping_g2","m_file_extension_grouping_g2","m_l7_application_grouping_g2","m_ap_grouping_g2")
m_grouping_conf=new Array(GetElmCont('wary_0',"Configuration")+"~","grouping_config~")
m_host_grouping_g2=new Array(GetElmCont('gphost_0',"Host Grouping")+"~","host_grouping~")
m_file_extension_grouping_g2=new Array(GetElmCont('gpfile_0',"File Extension Grouping")+"~","file_extension_grouping~")
m_l7_application_grouping_g2=new Array(GetElmCont('gpl7_0',"L7 Application Grouping")+"~","l7_application_grouping~")
m_ap_grouping_g2=new Array(GetElmCont('wary_0',"AP Grouping")+"~","ap_grouping~")
m_external_server=new Array(GetElmCont('extserver_0','External Server')+"~","external_servers~","m_external_conf")
m_external_conf=new Array(GetElmCont('extserver_0','External Server')+"~","external_servers~")
m_certificate_g2=new Array(GetElmCont("certificate_10","Certificate")+"~","config_cert~","m_cert_conf","m_mycert_g2","m_tru_cert_g2","m_iss_cert_g2")
m_cert_conf=new Array(GetElmCont("wary_0","Configuration")+"~","config_cert~")
m_mycert_g2=new Array(GetElmCont("certificate_9","My Certificate")+"~","certificate~")
m_tru_cert_g2=new Array(GetElmCont("certificate_11","Trusted Certificate")+"~","tru_cert~")
m_iss_cert_g2=new Array(GetElmCont("certificate_12","Issue Certificate")+"~","iss_cert~")
m_field_commun=new Array("Field Communication","_fcommu")
m_busprotocol=new Array("Bus & Protocol~","port_config~","m_port_config_g2","m_virtual_com_g2","m_modbus_g2","m_iec_g2")
m_port_config_g2=new Array(GetElmCont("omenus_47","Port Configuration")+"~","port_config~")
m_virtual_com_g2=new Array(GetElmCont("omenus_48","Virtual COM")+"~","virtual_com~")
m_modbus_g2=new Array(GetElmCont("omenus_50","Modbus")+"~","modbus~")
m_iec_g2=new Array(GetElmCont("_x","IEC 60870-5")+"~","Iec~")
m_data_interchg=new Array(GetElmCont("_x","Data Interchange")+"~","opc_ua~","m_opc_ua");
m_opc_ua=new Array(GetElmCont("_x","OPC UA")+"~","opcua~","m_opc_ua");
m_datalog_related=new Array(GetElmCont("_x","Data Logging")+"~","datalog_conf~","m_datalog_conf","m_datalog_scheme","m_datalog_log")
m_datalog_conf=new Array(GetElmCont("wary_0","Configuration")+"~","datalog_conf~")
m_datalog_scheme=new Array(GetElmCont("_x","Scheme Setup")+"~","datalog_scheme~")
m_datalog_log=new Array(GetElmCont("_x","Log File Management")+"~","datalog_log~")
m_security_g2=new Array("Security","_security")
m_s_vpn_g2=new Array("VPN~","vpn0~","m_vpn_conf_g2","m_ipsec_g2","m_s_opvpn_g2","m_l2tpserver_g2","m_pptpserver_g2","m_s_gre_g2")
m_vpn_conf_g2=new Array(GetElmCont("wary_0","Configuration")+"~","vpn_conf~")
m_ipsec_g2=new Array(GetElmCont("wizvpn10_0","IPSec")+"~","vpn0~")
m_s_opvpn_g2=new Array(GetElmCont("_x","OpenVPN")+"~","opvpnsv~")
m_l2tpserver_g2=new Array(GetElmCont("sta_0","L2TP")+"~","l2tps~")
m_pptpserver_g2=new Array(GetElmCont("sta_0","PPTP")+"~","pptps~")
m_s_gre_g2=new Array(GetElmCont("x_0","GRE")+"~","gre~")
m_firewall_g2=new Array(GetElmCont("aadv_0","Firewall")+"~","firewall_conf~","m_firewall_conf_g2","m_packet_filters_g2","m_url_blocking_g2","m_cont_filter_g2","m_mac_control_g2","m_l7_filter_g2","m_ips_g2","m_firewall_others_g2")
m_firewall_conf_g2=new Array(GetElmCont("wary_0","Configuration")+"~","firewall_conf~")
m_packet_filters_g2=new Array(GetElmCont("astatus_0","Packet Filters")+"~","iopf~")
m_url_blocking_g2=new Array(GetElmCont('astatus_0','URL Blocking')+"~","uctl~")
m_cont_filter_g2=new Array("Content Filter"+"~","webcont~")
m_mac_control_g2=new Array(GetElmCont("astatus_0","MAC Control")+"~","pmac~")
m_l7_filter_g2=new Array("Application Filter"+"~","l7~")
m_ips_g2=new Array("IPS~","ips~")
m_firewall_others_g2=new Array(GetElmCont("astatus_0","Options")+"~","t_misc~")
m_authentication_l2=new Array("Authentication~","captive_protal~","m_captive_configuration_g2","m_macAuth_link_g2")
m_captive_configuration_g2 = new Array(GetElmCont('ap_0',"Captive Portal")+"~","captive_protal~")
m_macAuth_link_g2 = new Array(GetElmCont('macAuth_0',"MAC Authentication")+"~","macAuth~")
m_administration=new Array("Administration","_adminis")
m_confg_manage=new Array("Configure & Manage~","pltext_sys_cfg~","m_commscript","m_tr069_g2","m_snmp_g2","m_telnet_g2","m_upnp_g2")
m_commscript = new Array("Command Script"+"~","pltext_sys_cfg~");
m_tr069_g2=new Array("TR-069"+"~","tr069~")
m_snmp_g2=new Array("SNMP"+"~","snmp~")
m_telnet_g2=new Array(GetElmCont("telcli_0","Telnet & SSH")+"~","telnet_with_cli~")
m_upnp_g2=new Array(GetElmCont("wary_116","UPnP")+"~","upnp~")
m_system_opt=new Array("System Operation~","pw_mmi~","m_pw_mmi","m_sys_info","m_sys_time","m_sys_log","m_bkup_restore","m_rebo_reset")
m_pw_mmi = new Array("Password & MMI"+"~","pw_mmi~");
m_sys_info = new Array("System Information"+"~","system_information~");
m_sys_time = new Array("System Time"+"~","system_time~");
m_sys_log = new Array("System Log"+"~","system_log~");
m_bkup_restore = new Array("Backup & Restore"+"~","bkup_restore~");
m_rebo_reset = new Array("Reboot & Reset"+"~","rebo_reset~");
m_ftp_l2=new Array("FTP~","ftp_svconfig~","m_ftp_server_config_g2","m_ftp_user_account_g2")
m_ftp_server_config_g2 = new Array("Server Configuration~","ftp_svconfig~");
m_ftp_user_account_g2 = new Array("User Account~","ftp_useraccount~");
m_diagnostic=new Array("Diagnostic~","system_packet_analyzer~","m_system_packet_analyzer_g2","m_diagnostic_tools","m_diagnostic_ethport")
m_system_packet_analyzer_g2 = new Array(GetElmCont("xx_0","Packet Analyzer")+"~","system_packet_analyzer~")
m_diagnostic_tools = new Array(GetElmCont("xx_0","Diagnostic Tools")+"~","diagnostic_tools~")
m_diagnostic_ethport = new Array(GetElmCont("xx_0","Ethernet Port Setup")+"~","diagnostic_ethport~")
m_service_g2=new Array("Service","_service")
m_celltoolkit=new Array("Cellular Toolkit~","system_data_usage~","m_datausage","m_sms_g2","m_pinco_g2","m_ussd_g2","m_network_scan_g2","m_remote_g2")
m_datausage=new Array("Data Usage"+"~","system_data_usage~")
m_sms_g2=new Array("SMS"+"~","mobile_sms~")
m_pinco_g2=new Array("SIM PIN"+"~","simpin~")
m_ussd_g2=new Array("USSD"+"~","mobile_ussd~")
m_network_scan_g2=new Array("Network Scan"+"~","mobile_network_scan~")
m_remote_g2=new Array("SMS Management"+"~","mobile_remote~")
m_evthanding=new Array("Event Handling~","evt_config~","m_evt_config_g2","m_evt_manag_g2","m_evt_notify_g2")
m_evt_config_g2 = new Array(GetElmCont('wary_0',"Configuration")+"~","evt_config~")
m_evt_manag_g2 = new Array("Managing Events~","evt_manag~")
m_evt_notify_g2 = new Array("Notifying Events~","evt_notify~")
m_loctracking = new Array("Location Tracking~","gnss~","m_gnss_g2","m_track_viewer_g2");
m_gnss_g2 = new Array(GetElmCont('gnss_0',"GNSS")+"~","gnss~");
m_track_viewer_g2 = new Array(GetElmCont('gnss_0',"Track Viewer")+"~","track_viewer~");
m_device_link_g2 = new Array(GetElmCont('devicelk_0',"Device-Link")+"~","devicelk~","m_devicelk_g2")
m_devicelk_g2 = new Array(GetElmCont('wary_0','Configuration')+"~","devicelk~")
m_pwercontr = new Array("Power Control~","Ignition~","m_power_ign_g2","m_pdu_g2")
m_power_ign_g2=new Array(GetElmCont('ign_30','Ignition Sense')+"~","Ignition~")
m_pdu_g2 = new Array(GetElmCont('x_0',"Power Outlet")+"~","pdu~")
m_ap_management_g2 = new Array(GetElmCont('apcon_0',"AP Management")+"~","ap_config~","m_configuration_g2","m_ap_list_g2","m_ap_configuration_g2")
m_configuration_g2 = new Array(GetElmCont('wary_0',"Configuration")+"~","ap_config~")
m_ap_list_g2 = new Array(GetElmCont('aplist_0',"AP List")+"~","ap_ap_list~")
m_ap_configuration_g2 = new Array(GetElmCont('apcon_0',"AP Configuration")+"~","ap_ap_config.htm?Napconfig=1&Nindex=0~")
m_license_g2 = new Array(GetElmCont('license_0',"License Key")+"~","license_key~","m_license_key_g2");
m_license_key_g2 = new Array(GetElmCont('license_0',"License Key")+"~","license_key~");
m_helloworld=new Array("helloworld","_helloworld")
m_helloworld1=new Array('helloworld1'+"~","helloworld_ui1~","m_helloworld_ui1")
m_helloworld_ui1=new Array('helloworld_ui1'+"~","helloworld_ui1~")
m_helloworld_ui2=new Array('helloworld_ui2'+"~","helloworld_ui2~")
m_helloworld_ui3=new Array('helloworld_ui3'+"~","helloworld_ui3~")
m_helloworld2=new Array('helloworld2'+"~","helloworld_examples~","m_helloworld_examples")
m_helloworld_examples=new Array('helloworld_examples'+"~","helloworld_examples~")
mwaaary=new Array(1,2,8,10,4,20,40,80,100)
mwrf=mwaaary[parseInt(mwaa)]+((mmo=='0')?2000:1000)
mwlan=new Array('~'+GetElmCont('wary_13','WiFi'),'~wpa')
mhdmz=new Array('~Hardware DMZ','~dmzp')
murlb=new Array('~'+GetElmCont('wary_14','URL Blocking'),'~uctl')
mvpn0=new Array('~VPN-IPSEC','~/vpn0.htm?RC=_&rf=0&Eb=0')
menus=new Array(
"m_wizard",
"m_wizard_network","m_wizard_vpn",
"m_dashboard","m_device_dashboard",
"m_status","m_status_network","m_status_wireless","m_status_clientlist","m_status_firewall",
"m_status_vpn","m_status_system","m_status_voip","m_voip_status","m_3gvoip_status",
"m_status_ddns","m_status_upnp","m_status_usb",
"m_status_statis","m_statis_surf","m_statis_traffic","m_statis_manager","m_statis_captive","m_statis_dusage",
"m_status_gnss","m_gnss_status",
"m_sta_basic","m_sbas_wan_uplink","m_sbas_lan_vlan","m_sbas_wifi","m_sbas_dnss",
"m_sta_security","m_ssec_vpn","m_ssec_firewell",
"m_sta_administration","m_sadm_conf_manage","m_sadm_log_storage","m_sadm_gnss",
"m_sta_statis","m_ssr_connect_session","m_ssr_network_traffic","m_ssr_device_admin","m_ssr_portal_usage","m_ssr_cellular_usage","m_ssr_session_usage",
"m_basic",
"m_lan_wan","m_phy","m_network","m_load_balance","m_vwan_g2","m_wan_bonding",
"m_vlan",
"m_lan_set","m_lan_vlan","m_devtype_set","m_redundancy_uart","m_poe","m_dhcp_server_g2",
"m_wireless",
"m_wireless2g","m_wifi_module1","m_wifi_module2","m_wireless_client_list","m_wireless_set","m_uplink_profile",
"m_ipv6",
"m_ipv6_set",
"m_nat","m_virtual_server_computer","m_special_ap","m_loopback","m_dmz","m_sdmz","m_ip_translation",
"m_nat_g2","m_loopback_g2","m_virtual_server_computer_g2","m_ip_translation_g2","m_special_ap_g2","m_dmz_g2","m_sdmz_g2",
"m_routing","m_static_routing","m_dynamic_routing","m_routing_info",
"m_client_server_proxy","m_dynamic_dns","m_dhcp_server","m_dhcp_option","m_static_arp",
"m_dns_ddns","m_dns_conf",
"m_qos_g2","m_qos_rulebased_g2",
"m_redundancy_g2","m_redundancy_vrrp_g2",
"m_advanced",
"m_firewall","m_firewall_conf","m_packet_filters","m_url_blocking","m_webcont_filters","m_mac_control","m_l7_filters","m_acc_control","m_ips","m_firewall_others",
"m_qos","m_qos_Scenario","m_qos_3Pri_QQoS","m_qos_SmartQos","m_qos_rulebased",
"m_s_vpn","m_vpn_conf","m_ipsec","m_pptpserver","m_l2tpserver","m_s_gre","m_gretunnel","m_s_eoip","m_eoiptunnel","m_s_sslvpn","m_sslvpn","m_s_opvpn","m_openvpn",
"m_redundancy","m_redundancy_vrrp",
"m_management","m_tr069","m_snmp","m_telnet","m_upnp",/*"LLTD",*/
"m_certificate","m_mycertca","m_mycert","m_tru_cert","m_iss_cert",
"m_communication_bus","m_port_config","m_virtual_com","m_virtual_dailup","m_modbus","m_iec","m_datalog",
"m_applications",
"m_voice","m_voice_over_ip","m_voice_over_3g",
"m_mobile_applications","m_sms","m_ussd","m_network_scan","m_remote","m_autoact","m_pinco",
"m_nas","m_nas_conf","m_nas_disk","m_nas_web","m_nas_download",
"m_ap_management","m_configuration","m_ap_list","m_ap_configuration","m_static_ap_list",
"m_captive_protal","m_captive_configuration",
"m_io_management","m_io_configuration",
"m_evt_management","m_evt_config","m_evt_manag","m_evt_notify",
"m_posittion_app","m_gnss","m_track_viewer",
"m_pdu_mgmt","m_pdu","m_poe_mgmt",
"m_device_link","m_devicelk",
"m_license","m_license_key",
"m_ftp","m_ftp_server_config","m_ftp_user_account",
"m_plaintext_sys","m_plaintext_sys_config",
"m_macAuth","m_macAuth_link",
"m_system",
"m_system_related","m_password","m_system_name","m_system_information","m_system_status","m_system_tools","m_system_datausage","m_system_router_security","m_system_packet_analyzer",
"m_schedule","m_schedule_set",
"m_user_management","m_user_list","m_user_profile","m_user_group",
"m_grouping","m_grouping_configuation","m_host_grouping","m_file_extension_grouping","m_l7_application_grouping","m_ap_grouping",
"m_external_servers","m_external_configuation",
"m_mmi","m_web_ui",
"m_powermgt","m_power_ign",
"m_object_definition",
"m_schedule_g2","m_schedule_conf",
"m_user","m_user_list_g2","m_user_profile_g2","m_user_group_g2",
"m_grouping_releated","m_grouping_conf","m_host_grouping_g2","m_file_extension_grouping_g2","m_l7_application_grouping_g2","m_ap_grouping_g2",
"m_external_server","m_external_conf",
"m_certificate_g2","m_cert_conf","m_mycert_g2","m_tru_cert_g2","m_iss_cert_g2",
"m_field_commun",
"m_busprotocol","m_port_config_g2","m_virtual_com_g2","m_modbus_g2","m_iec_g2",
"m_data_interchg","m_opc_ua",
"m_datalog_related","m_datalog_conf","m_datalog_scheme","m_datalog_log",
"m_security_g2",
"m_s_vpn_g2","m_vpn_conf_g2","m_ipsec_g2","m_s_opvpn_g2","m_l2tpserver_g2","m_pptpserver_g2","m_s_gre_g2",
"m_firewall_g2","m_firewall_conf_g2","m_packet_filters_g2","m_url_blocking_g2","m_cont_filter_g2","m_mac_control_g2","m_l7_filter_g2","m_ips_g2","m_firewall_others_g2",
"m_authentication_l2","m_captive_configuration_g2","m_macAuth_link_g2",
"m_administration",
"m_confg_manage","m_commscript","m_tr069_g2","m_snmp_g2","m_telnet_g2","m_upnp_g2",
"m_system_opt","m_pw_mmi","m_sys_info","m_sys_time","m_sys_log","m_bkup_restore","m_rebo_reset",
"m_ftp_l2","m_ftp_server_config_g2","m_ftp_user_account_g2",
"m_diagnostic","m_system_packet_analyzer_g2","m_diagnostic_tools","m_diagnostic_ethport",
"m_service_g2",
"m_celltoolkit","m_datausage","m_sms_g2","m_pinco_g2","m_ussd_g2","m_network_scan_g2","m_remote_g2",
"m_evthanding","m_evt_config_g2","m_evt_manag_g2","m_evt_notify_g2",
"m_loctracking","m_gnss_g2","m_track_viewer_g2",
"m_device_link_g2","m_devicelk_g2",
"m_pwercontr","m_power_ign_g2","m_pdu_g2",
"m_ap_management_g2","m_configuration_g2","m_ap_list_g2","m_ap_configuration_g2",
"m_license_g2","m_license_key_g2",
"m_helloworld",
"m_helloworld1","m_helloworld_ui1","m_helloworld_ui2","m_helloworld_ui3",
"m_helloworld2","m_helloworld_examples"
)
function add_stasL3(str0,ary0) {// for status add L3
var L0= ary0.length;
var emls =0;
for(var z=0 ; z<L0 ; z++){
if(ary0[z] == str0 ){ return z }
}
}
if(typeof(swm_sta_vpn) != 'undefined'){  //vpn status add L3 : 379-OpenVPN Status
menus.splice(add_stasL3("m_status_vpn",menus), 1, "m_status_vpn","m_sta_vpn","m_sta_opvpn");
}
var _m_status_vpn0 = [];    //vpn status add L3 : 379-OpenVPN Status
var _m_status_vpn1 = [];    //vpn status add L3 : 379-OpenVPN Status
smenus=new Array(
"m_wizard_network","m_status_vpn",
"m_dashboard","m_status_network","m_status_wireless","m_status_clientlist","m_status_firewall","m_status_vpn","m_status_system","m_status_voip","m_status_ddns","m_status_upnp","m_status_usb","m_status_statis","m_status_gnss","m_sta_basic","m_sta_security","m_sta_administration","m_sta_statis",
"m_lan_wan","m_vlan","m_wireless","m_ipv6","m_nat","m_nat_g2","m_routing","m_client_server_proxy","m_dns_ddns","m_qos_g2","m_redundancy_g2",
"m_firewall","m_qos","m_s_vpn","m_s_gre","m_s_eoip","m_s_sslvpn","m_s_opvpn","m_redundancy","m_management","m_certificate","m_communication_bus",
"m_voice",/*"m_voice_over_3G","m_v_phone_book","m_v_phone_setting","m_v_sip_setting","m_v_nat_trans","m_v_voip_others",*/"m_mobile_applications","m_nas","m_ap_management","m_evt_management","m_posittion_app","m_pdu_mgmt","m_device_link","m_license","m_ftp","m_plaintext_sys",
"m_system_related","m_schedule","m_user_management","m_grouping","m_external_servers","m_mmi","m_powermgt",
"m_schedule_g2","m_user","m_grouping_releated","m_external_server","m_certificate_g2",
"m_busprotocol","m_data_interchg","m_datalog_related",
"m_s_vpn_g2","m_firewall_g2","m_authentication_l2",
"m_confg_manage","m_system_opt","m_ftp_l2","m_diagnostic",
"m_celltoolkit","m_evthanding","m_loctracking","m_device_link_g2","m_pwercontr","m_ap_management_g2","m_license_g2",
"m_helloworld1","m_helloworld2"
)
TopMenus=new Array(
"m_wizard","m_status","m_basic","m_advanced","m_applications","m_system","m_object_definition","m_field_commun","m_security_g2","m_administration","m_service_g2","m_helloworld"
)
TopMenus_logo=new Array(
"agl23","agl20","agl24","agl21","agl25","agl22","agl26","agl27","agl28","agl29","agl30","agl22"
)
function setMenu()
{
for(i=0;i<menus.length;i++) //當L2是false時,把這個L2底下的L3 link都寫成remove_this..toshi
{
if (eval("typeof(sw"+menus[i]+")")=="undefined") unmenus=true;
else unmenus=(eval("sw"+menus[i])=='')||(eval("sw"+menus[i])=='0')||!(eval("sw"+menus[i]));
if(unmenus){
if((eval(menus[i]).length)>=3) {
for (j=2;j<eval(menus[i]).length;j++){
secm=eval(menus[i]+"["+ j +"]");
eval(secm+"=new Array('remove_this~','remove_this~')");}
}
eval(menus[i]+"=new Array('remove_this~','remove_this~')")
}
}
for(i=0;i<smenus.length;i++) //像secrselect.htm,有radio的,要決定radio該導到哪一頁..toshi
{
if(eval("typeof(sw"+smenus[i]+")")=="undefined") unsmenus=true;
else unsmenus=(eval("sw"+smenus[i])!='')||(eval("sw"+smenus[i])!='0')||(eval("sw"+smenus[i]));
if(unsmenus){
for (j=2;j<eval(smenus[i]).length;j++){
secm=eval(smenus[i]+"["+ j +"]");
if (eval("typeof("+secm+"[1])")=="undefined") unsecm=true;
else unsecm=eval(secm+"[1]")!=""&&eval(secm+"[1]")!="remove_this~";
if(unsecm) {eval(smenus[i]).splice(1,1,eval(secm+"[1]")); break; }
if(j==eval(smenus[i]).length-1&&unsecm){eval(smenus[i]+"=new Array('remove_this~','remove_this~')");}
}
}
}
if(typeof(swm_sta_vpn) != 'undefined'){ //vpn status add L3 : 379-OpenVPN Status
_m_status_vpn0 = m_sta_vpn[0]+m_sta_opvpn[0] ;
_m_status_vpn1 = m_sta_vpn[1]+m_sta_opvpn[1] ;
}else{
_m_status_vpn0 = m_status_vpn[0];    //vpn status add L3 : 379-OpenVPN Status
_m_status_vpn1 = m_status_vpn[1];    //vpn status add L3 : 379-OpenVPN Status
}
}
setMenu() //remove UI component link
function setTopMenus(ss)  //關第1層menus時，直接隱藏
{
swtop=""
if (eval("typeof(sw"+ss+")")=="undefined") swtop="style='display:none'";
else if((eval("sw"+ss)=='')||(eval("sw"+ss)=='0')||!(eval("sw"+ss))){
swtop="style='display:none'"
}
return swtop
}
function swdesc(m)
{
for (i=0;i<m.length;i++){
if(document.getElementById(m[i])==null) continue;
if (eval("typeof(sw"+m[i]+")")=="undefined") unm=true;
else unm=(eval("sw"+m[i])=='')||(eval("sw"+m[i])=='0')||!(eval("sw"+m[i]));
document.getElementById(m[i]).style.display=(unm)?"none":"";
}
}
function swsta(m,n)
{
if (eval("typeof(sw"+m[i]+")")=="undefined") unm=true;
else unm=(eval("sw"+m)=='')||(eval("sw"+m)=='0')||!(eval("sw"+m));
document.getElementById(n).style.display=(unm)?"none":"";
}
ThreeMenus=new Array(
m_wizard_network[0]
+"|"+m_wizard_vpn[0]
,m_device_dashboard[0]
+"|"+m_status_network[0]
+"|"+m_status_wireless[0]
+"|"+m_status_clientlist[0]
+"|"+m_status_firewall[0]
+"|"+_m_status_vpn0
+"|"+m_status_system[0]
+"|"+m_voip_status[0]+m_3gvoip_status[0]
+"|"+m_status_ddns[0]
+"|"+m_status_upnp[0]
+"|"+m_status_usb[0]
+"|"+m_statis_surf[0]+m_statis_traffic[0]+m_statis_manager[0]+m_statis_captive[0]+m_statis_dusage[0]
+"|"+m_gnss_status[0]
+"|"+m_sbas_wan_uplink[0]+m_sbas_lan_vlan[0]+m_sbas_wifi[0]+m_sbas_dnss[0]
+"|"+m_ssec_vpn[0]+m_ssec_firewell[0]
+"|"+m_sadm_conf_manage[0]+m_sadm_log_storage[0]+m_sadm_gnss[0]
+"|"+m_ssr_connect_session[0]+m_ssr_network_traffic[0]+m_ssr_device_admin[0]+m_ssr_portal_usage[0]+m_ssr_cellular_usage[0]+m_ssr_session_usage[0]
,m_phy[0]+m_network[0]+m_load_balance[0]+m_vwan_g2[0]+m_wan_bonding[0]
+"|"+m_lan_set[0]+m_lan_vlan[0]+m_devtype_set[0]+m_redundancy_uart[0]+m_poe[0]+m_dhcp_server_g2[0]
+"|"+m_wireless2g[0]+m_wifi_module1[0]+m_wifi_module2[0]+m_wireless_client_list[0]+m_wireless_set[0]+m_uplink_profile[0]
+"|"+m_ipv6_set[0]
+"|"+m_loopback[0]+m_virtual_server_computer[0]+m_special_ap[0]+m_dmz[0]+m_sdmz[0]+m_ip_translation[0]
+"|"+m_loopback_g2[0]+m_virtual_server_computer_g2[0]+m_ip_translation_g2[0]+m_special_ap_g2[0]+m_dmz_g2[0]+m_sdmz_g2[0]
+"|"+m_static_routing[0]+m_dynamic_routing[0]+m_routing_info[0]
+"|"+m_dynamic_dns[0]+m_dhcp_server[0]+m_dhcp_option[0]+m_static_arp[0]
+"|"+m_dns_conf[0]
+"|"+m_qos_rulebased_g2[0]
+"|"+m_redundancy_vrrp_g2[0]
,m_firewall_conf[0]+m_packet_filters[0]+m_url_blocking[0]+m_webcont_filters[0]+m_mac_control[0]+m_l7_filters[0]+m_acc_control[0]+m_ips[0]+m_firewall_others[0]
+"|"+m_qos_Scenario[0]+m_qos_3Pri_QQoS[0]+m_qos_SmartQos[0]+m_qos_rulebased[0]
+"|"+m_vpn_conf[0]+m_ipsec[0]+m_pptpserver[0]+/*m_pptpclient[0]+*/m_l2tpserver[0]+/*m_l2tpclient[0]+*/m_s_gre[0]+m_s_eoip[0]+m_s_sslvpn[0]+m_s_opvpn[0]
+"|"+m_redundancy_vrrp[0]
+"|"+m_tr069[0]+m_snmp[0]+m_telnet[0]+m_upnp[0]/*+m_LLTD[0]*/
+"|"+m_mycertca[0]+m_mycert[0]+m_tru_cert[0]+m_iss_cert[0]
+"|"+m_port_config[0]+m_virtual_com[0]+m_virtual_dailup[0]+m_modbus[0]+m_iec[0]+m_datalog[0]
,m_voice_over_ip[0]+m_voice_over_3g[0]
+"|"+m_sms[0]+m_ussd[0]+m_network_scan[0]+m_remote[0]+m_autoact[0]+m_pinco[0]
+"|"+m_nas_conf[0]+m_nas_disk[0]+m_nas_web[0]+m_nas_download[0]
+"|"+m_configuration[0]+m_ap_list[0]+m_ap_configuration[0]+m_static_ap_list[0]
+"|"+m_captive_configuration[0]
+"|"+m_io_configuration[0]
+"|"+m_evt_config[0]+m_evt_manag[0]+m_evt_notify[0]
+"|"+m_gnss[0]+m_track_viewer[0]
+"|"+m_pdu[0]+m_poe_mgmt[0]
+"|"+m_devicelk[0]
+"|"+m_license_key[0]
+"|"+m_ftp_server_config[0]+m_ftp_user_account[0]
+"|"+m_plaintext_sys_config[0]
+"|"+m_macAuth_link[0]
,m_password[0]+m_system_name[0]+m_system_information[0]+m_system_status[0]+m_system_tools[0]+m_system_datausage[0]+m_system_router_security[0]+m_system_packet_analyzer[0]
+"|"+m_schedule_set[0]
+"|"+m_user_list[0]+m_user_profile[0]+m_user_group[0]
+"|"+m_grouping_configuation[0]+m_host_grouping[0]+m_file_extension_grouping[0]+m_l7_application_grouping[0]+m_ap_grouping[0]
+"|"+m_external_configuation[0]
+"|"+m_web_ui[0]
+"|"+m_power_ign[0]
,m_schedule_conf[0]
+"|"+m_user_list_g2[0]+m_user_profile_g2[0]+m_user_group_g2[0]
+"|"+m_grouping_conf[0]+m_host_grouping_g2[0]+m_file_extension_grouping_g2[0]+m_l7_application_grouping_g2[0]+m_ap_grouping_g2[0]
+"|"+m_external_conf[0]
+"|"+m_cert_conf[0]+m_mycert_g2[0]+m_tru_cert_g2[0]+m_iss_cert_g2[0]
,m_port_config_g2[0]+m_virtual_com_g2[0]+m_modbus_g2[0]+m_iec_g2[0]
+"|"+m_opc_ua[0]
+"|"+m_datalog_conf[0]+m_datalog_scheme[0]+m_datalog_log[0]
,m_vpn_conf_g2[0]+m_ipsec_g2[0]+m_s_opvpn_g2[0]+m_l2tpserver_g2[0]+m_pptpserver_g2[0]+m_s_gre_g2[0]
+"|"+m_firewall_conf_g2[0]+m_packet_filters_g2[0]+m_url_blocking_g2[0]+m_cont_filter_g2[0]+m_mac_control_g2[0]+m_l7_filter_g2[0]+m_ips_g2[0]+m_firewall_others_g2[0]
+"|"+m_captive_configuration_g2[0]+m_macAuth_link_g2[0]
,m_commscript[0]+m_tr069_g2[0]+m_snmp_g2[0]+m_telnet_g2[0]+m_upnp_g2[0]
+"|"+m_pw_mmi[0]+m_sys_info[0]+m_sys_time[0]+m_sys_log[0]+m_bkup_restore[0]+m_rebo_reset[0]
+"|"+m_ftp_server_config_g2[0]+m_ftp_user_account_g2[0]
+"|"+m_system_packet_analyzer_g2[0]+m_diagnostic_tools[0]+m_diagnostic_ethport[0]
,m_datausage[0]+m_sms_g2[0]+m_pinco_g2[0]+m_ussd_g2[0]+m_network_scan_g2[0]+m_remote_g2[0]
+"|"+m_evt_config_g2[0]+m_evt_manag_g2[0]+m_evt_notify_g2[0]
+"|"+m_gnss_g2[0]+m_track_viewer_g2[0]
+"|"+m_devicelk_g2[0]
+"|"+m_power_ign_g2[0]+m_pdu_g2[0]
+"|"+m_configuration_g2[0]+m_ap_list_g2[0]+m_ap_configuration_g2[0]
+"|"+m_license_key_g2[0]
,m_helloworld_ui1[0]+m_helloworld_ui2[0]+m_helloworld_ui3[0]
+"|"+m_helloworld_examples[0]
)
ThreeMenulk=new Array(
m_wizard_network[1]
+"|"+m_wizard_vpn[1]
,m_device_dashboard[1]
+"|"+m_status_network[1]
+"|"+m_status_wireless[1]
+"|"+m_status_clientlist[1]
+"|"+m_status_firewall[1]
+"|"+_m_status_vpn1
+"|"+m_status_system[1]
+"|"+m_voip_status[1]+m_3gvoip_status[1]
+"|"+m_status_ddns[1]
+"|"+m_status_upnp[1]
+"|"+m_status_usb[1]
+"|"+m_statis_surf[1]+m_statis_traffic[1]+m_statis_manager[1]+m_statis_captive[1]+m_statis_dusage[1]
+"|"+m_gnss_status[1]
+"|"+m_sbas_wan_uplink[1]+m_sbas_lan_vlan[1]+m_sbas_wifi[1]+m_sbas_dnss[1]
+"|"+m_ssec_vpn[1]+m_ssec_firewell[1]
+"|"+m_sadm_conf_manage[1]+m_sadm_log_storage[1]+m_sadm_gnss[1]
+"|"+m_ssr_connect_session[1]+m_ssr_network_traffic[1]+m_ssr_device_admin[1]+m_ssr_portal_usage[1]+m_ssr_cellular_usage[1]+m_ssr_session_usage[1]
,m_phy[1]+m_network[1]+m_load_balance[1]+m_vwan_g2[1]+m_wan_bonding[1]
+"|"+m_lan_set[1]+m_lan_vlan[1]+m_devtype_set[1]+m_redundancy_uart[1]+m_poe[1]+m_dhcp_server_g2[1]
+"|"+m_wireless2g[1]+m_wifi_module1[1]+m_wifi_module2[1]+m_wireless_client_list[1]+m_wireless_set[1]+m_uplink_profile[1]
+"|"+m_ipv6_set[1]
+"|"+m_loopback[1]+m_virtual_server_computer[1]+m_special_ap[1]+m_dmz[1]+m_sdmz[1]+m_ip_translation[1]
+"|"+m_loopback_g2[1]+m_virtual_server_computer_g2[1]+m_ip_translation_g2[1]+m_special_ap_g2[1]+m_dmz_g2[1]+m_sdmz_g2[1]
+"|"+m_static_routing[1]+m_dynamic_routing[1]+m_routing_info[1]
+"|"+m_dynamic_dns[1]+m_dhcp_server[1]+m_dhcp_option[1]+m_static_arp[1]
+"|"+m_dns_conf[1]
+"|"+m_qos_rulebased_g2[1]
+"|"+m_redundancy_vrrp_g2[1]
,m_firewall_conf[1]+m_packet_filters[1]+m_url_blocking[1]+m_webcont_filters[1]+m_mac_control[1]+m_l7_filters[1]+m_acc_control[1]+m_ips[1]+m_firewall_others[1]
+"|"+m_qos_Scenario[1]+m_qos_3Pri_QQoS[1]+m_qos_SmartQos[1]+m_qos_rulebased[1]
+"|"+m_vpn_conf[1]+m_ipsec[1]+m_pptpserver[1]+/*m_pptpclient[1]+*/m_l2tpserver[1]+/*m_l2tpclient[1]+*/m_s_gre[1]+m_s_eoip[1]+m_s_sslvpn[1]+m_s_opvpn[1]
+"|"+m_redundancy_vrrp[1]
+"|"+m_tr069[1]+m_snmp[1]+m_telnet[1]+m_upnp[1]/*+m_LLTD[1]*/
+"|"+m_mycertca[1]+m_mycert[1]+m_tru_cert[1]+m_iss_cert[1]
+"|"+m_port_config[1]+m_virtual_com[1]+m_virtual_dailup[1]+m_modbus[1]+m_iec[1]+m_datalog[1]
,m_voice_over_ip[1]+m_voice_over_3g[1]
+"|"+m_sms[1]+m_ussd[1]+m_network_scan[1]+m_remote[1]+m_autoact[1]+m_pinco[1]
+"|"+m_nas_conf[1]+m_nas_disk[1]+m_nas_web[1]+m_nas_download[1]
+"|"+m_configuration[1]+m_ap_list[1]+m_ap_configuration[1]+m_static_ap_list[1]
+"|"+m_captive_configuration[1]
+"|"+m_io_configuration[1]
+"|"+m_evt_config[1]+m_evt_manag[1]+m_evt_notify[1]
+"|"+m_gnss[1]+m_track_viewer[1]
+"|"+m_pdu[1]+m_poe_mgmt[1]
+"|"+m_devicelk[1]
+"|"+m_license_key[1]
+"|"+m_ftp_server_config[1]+m_ftp_user_account[1]
+"|"+m_plaintext_sys_config[1]
+"|"+m_macAuth_link[1]
,m_password[1]+m_system_name[1]+m_system_information[1]+m_system_status[1]+m_system_tools[1]+m_system_datausage[1]+m_system_router_security[1]+m_system_packet_analyzer[1]
+"|"+m_schedule_set[1]
+"|"+m_user_list[1]+m_user_profile[1]+m_user_group[1]
+"|"+m_grouping_configuation[1]+m_host_grouping[1]+m_file_extension_grouping[1]+m_l7_application_grouping[1]+m_ap_grouping[1]
+"|"+m_external_configuation[1]
+"|"+m_web_ui[1]
+"|"+m_power_ign[1]
,m_schedule_conf[1]
+"|"+m_user_list_g2[1]+m_user_profile_g2[1]+m_user_group_g2[1]
+"|"+m_grouping_conf[1]+m_host_grouping_g2[1]+m_file_extension_grouping_g2[1]+m_l7_application_grouping_g2[1]+m_ap_grouping_g2[1]
+"|"+m_external_conf[1]
+"|"+m_cert_conf[1]+m_mycert_g2[1]+m_tru_cert_g2[1]+m_iss_cert_g2[1]
,m_port_config_g2[1]+m_virtual_com_g2[1]+m_modbus_g2[1]+m_iec_g2[1]
+"|"+m_opc_ua[1]
+"|"+m_datalog_conf[1]+m_datalog_scheme[1]+m_datalog_log[1]
,m_vpn_conf_g2[1]+m_ipsec_g2[1]+m_s_opvpn_g2[1]+m_l2tpserver_g2[1]+m_pptpserver_g2[1]+m_s_gre_g2[1]
+"|"+m_firewall_conf_g2[1]+m_packet_filters_g2[1]+m_url_blocking_g2[1]+m_cont_filter_g2[1]+m_mac_control_g2[1]+m_l7_filter_g2[1]+m_ips_g2[1]+m_firewall_others_g2[1]
+"|"+m_captive_configuration_g2[1]+m_macAuth_link_g2[1]
,m_commscript[1]+m_tr069_g2[1]+m_snmp_g2[1]+m_telnet_g2[1]+m_upnp_g2[1]
+"|"+m_pw_mmi[1]+m_sys_info[1]+m_sys_time[1]+m_sys_log[1]+m_bkup_restore[1]+m_rebo_reset[1]
+"|"+m_ftp_server_config_g2[1]+m_ftp_user_account_g2[1]
+"|"+m_system_packet_analyzer_g2[1]+m_diagnostic_tools[1]+m_diagnostic_ethport[1]
,m_datausage[1]+m_sms_g2[1]+m_pinco_g2[1]+m_ussd_g2[1]+m_network_scan_g2[1]+m_remote_g2[1]
+"|"+m_evt_config_g2[1]+m_evt_manag_g2[1]+m_evt_notify_g2[1]
+"|"+m_gnss_g2[1]+m_track_viewer_g2[1]
+"|"+m_devicelk_g2[1]
+"|"+m_power_ign_g2[1]+m_pdu_g2[1]
+"|"+m_configuration_g2[1]+m_ap_list_g2[1]+m_ap_configuration_g2[1]
+"|"+m_license_key_g2[1]
,m_helloworld_ui1[1]+m_helloworld_ui2[1]+m_helloworld_ui3[1]
+"|"+m_helloworld_examples[1]
)
ExMenulk=new Array(
"_wizard"
,"_status"
,"_basic"
,"_adv"
,"_app"
,"_toolbox"
,"_odefini"   // Object Definition
,"_fcommu"    // Field Communication
,"_security"  // Security
,"_adminis"   // Administration
,"_service"   // Service
,"_helloworld"
)
function setLMtp() //找出第1層位置
{
sstp=99;
if(typeof(pages)!="undefined"){
for (i=0;i<ThreeMenulk.length;i++){
if(ThreeMenulk[i].indexOf(pages)!=-1) {
if(ThreeMenulk[i].indexOf(pages+"~")==0){sstp=i; break;}
else if((ThreeMenulk[i].indexOf("|"+pages)!=-1||ThreeMenulk[i].indexOf("~"+pages)!=-1)&&(ThreeMenulk[i].indexOf(pages+"~")!=-1)){sstp=i; break;}
}
if(pages.indexOf("voip")!=-1&&i!=0){
if(ThreeMenulk[i].indexOf("voip")!=-1) {sstp=i; break; }
}
if(typeof(TMtype_s)!="undefined"){
if(ThreeMenulk[i].indexOf("secrselect")!=-1) {sstp=i; break; }
}
}
for (j=0;j<ExMenulk.length;j++){
if(ExMenulk[j].indexOf(pages)!=-1) {sstp=j; break; }
}
}
return sstp
}
function setLMts() //找出第2層位置
{
stp=setLMtp();
sts=0;
if(typeof(pages)!="undefined"&&stp!=99){ //判斷pages是否存在,&&stp==99代表沒找到L1
thrslk=ThreeMenulk[stp].split("|")
for (k=thrslk.length-1;k>=0;k--){
if(thrslk[k]=="") {thrslk.splice(k,1); }
}
for (j=0;j<thrslk.length;j++){
if(thrslk[j].indexOf(pages)!=-1) {sts=j; break; }
if(pages.indexOf("voip")!=-1&&pages!="sta_voip"){
if(thrslk[j].indexOf("voip")!=-1) {sts=j; break; }
}
if(typeof(TMtype_s)!="undefined"){
if(thrslk[j].indexOf("secrselect")!=-1) {sts=j; break; }
}
}
}
return sts
}
function setMenus(link)
{
tp=setLMtp();
ts=setLMts();
if (link) //from VoIP
{
/*if(link.indexOf(TMtype+':')!=-1)
{	TAID_L3_VoIP
thrss=(VoIP_SubMenu[TMtype].substring(2)).split("~")
thrslks=(VoIP_SubMenulk[TMtype].substring(2)).split("~")
thrsl3=TAID_L3_VoIP[TMtype] //L3 TAID
}*/
if(typeof(TMtype_s)!="undefined")
{
thrss=(SECR_SubMenu[TMtype_s].substring(2)).split("~")
thrslks=(SECR_SubMenulk[TMtype_s].substring(2)).split("~")
thrsl3=TAID_L3_SECR[TMtype_s] //L3 TAID
}
}
else
{
for (k=ThreeMenus.length-1;k>=0;k--)
{
if(ThreeMenus[k]=="") {ThreeMenus.splice(k,1); }
}
thrs=ThreeMenus[tp].split("|")
thrsl3=TAID_L3[tp].split("|") //L3 TAID
for (l=thrs.length-1;l>=0;l--)
{
if(thrs[l]=="") {thrs.splice(l,1); }
}
thrss=thrs[ts].split("~")
thrslks=thrslk[ts].split("~")
}
pg=""
for (i=0;i<thrss.length;i++)
{
if(thrslks[i]!=""){
if (i==0) lg=""
else lg="|"
if(thrslks[i]==pages) lks=""
else lks=i
pg=pg+lg+thrss[i]+"~"+thrslks[i]+"~"+lks;
}
}
if (link)
return pg+"#"+thrsl3
else
return pg+"#"+thrsl3[ts]
}
function setvoip(link)
{
/*if(link.indexOf(TMtype+':')!=-1){
thrss=(VoIP_SubMenu[TMtype].substring(2)).split("~")
thrslks=(VoIP_SubMenulk[TMtype].substring(2)).split("~")
}*/
for (l=thrss.length-1;l>=0;l--)
{
if(thrss[l]=="") {thrss.splice(l,1); }
if(thrslks[l]=="") {thrslks.splice(l,1); }
}
pg=""
for (i=0;i<thrss.length;i++)
{
if(thrslks[i]!="")
{
if (i==0) lg=""
else lg="|"
if(thrslks[i]==pages) lks=""
else lks=i
pg=pg+lg+thrss[i]+"~"+thrslks[i]+"~"+lks;
}
}
return pg
}
resetmsg=GetElmCont("tomisc_0","Reset all settings to factory default?")
rebomsg=GetElmCont("prim_0","Reboot right now?")
function lmcmds(cmd)
{
if(cmd==0)GURL("config.bin?rc=@&D=")
if(cmd==1)makesure(resetmsg,"rebo.htm?Nrd=2")
if(cmd==2)makesure(rebomsg,"rebo.htm?Nrd=0")
if(cmd==3)mGURL2('smsmsg.htm?rc=')
if(cmd==4)mGURL2('smsinbox.htm?rc=')
}
function clearArray(ary,e)
{
if(e=='')for(i=0;i<ary.length;i++)ary[i]=""
}
TMtypes=new Array(
"Router","VoIP"
)
SubMenu=new Array()
SubMenulk=new Array()
SECR_SubMenu=new Array(
"0:"+m_vpn_conf[0]+m_ipsec[0]+m_pptpserver[0]+m_l2tpserver[0]+m_s_gre[0]+m_s_eoip[0]+m_s_sslvpn[0]+m_s_opvpn[0]
,"1:"+m_gretunnel[0]+m_eoiptunnel[0]+m_sslvpn[0]+m_openvpn[0]
)
SECR_SubMenulk=new Array(
"0:"+m_vpn_conf[1]+m_ipsec[1]+m_pptpserver[1]+m_l2tpserver[1]+m_s_gre[1]+m_s_eoip[1]+m_s_sslvpn[1]+m_s_opvpn[1]
,"1:"+m_gretunnel[1]+m_eoiptunnel[1]+m_sslvpn[1]+m_openvpn[1]
)
var ZOlen=new Array("10","26","58")
var ASC_no = new Array("%2B","%2D","%2A","%2F","%40","%5F","%2E")
var ASC_str= new Array("+",  "-",  "*",  "/",  "@",  "_",  ".")
var Month=new Array(
GetElmCont("wary_40","Jan"),GetElmCont("wary_41","Feb"),GetElmCont("wary_42","Mar")
,GetElmCont("wary_43","Apr"),GetElmCont("wary_44","May"),GetElmCont("wary_45","Jun")
,GetElmCont("wary_46","Jul"),GetElmCont("wary_47","Aug"),GetElmCont("wary_48","Sep")
,GetElmCont("wary_49","Oct"),GetElmCont("wary_50","Nov"),GetElmCont("wary_51","Dec")
)
var wks=new Array(
"AUTH|113"
,"DNS|53"
,"FTP|21"
,"ISAKMP|500"
,"POP3|110"
,"PPTP|1723"
,"SMTP|25"
,"TELNET|23"
,"WEB|80"
,"TEST|8481-8482"
,"TEST2|5002-5003"
)
weeks=new Array(
GetElmCont("wary_72","Every Day")
,GetElmCont("wary_73","Sun")
,GetElmCont("wary_74","Mon")
,GetElmCont("wary_75","Tue")
,GetElmCont("wary_76","Wed")
,GetElmCont("wary_77","Thu")
,GetElmCont("wary_78","Fri")
,GetElmCont("wary_79","Sat")
)
weekval=new Array(0x7F,0x01,0x02,0x04,0x08,0x10,0x20,0x40)
wmurl=new Array("wpa","wcl","wds","wcl.htm?Nwmode=1")
wix=0
mwlan[1]="~"+wmurl[wix]
function chkwlanurl()
{
loadXMLDocsAsync("/wps.xml?Nmode=1",loadxml_chkwlanurl);
}
function loadxml_chkwlanurl(xmlDoc){
wix=xmlDoc.getElementsByTagName("operationmode")[0].childNodes[0].nodeValue
reg=new RegExp("~"+mwlan[1])
reg=/~wpa/
SubMenulk[0]=SubMenulk[0].replace(reg,"~"+wmurl[wix]);
}
wmode=new Array(
"N00190001"
,"N001C0001"
//  ,"N00195000"
//  ,"N00190001"
)
function gotopg(sel)
{
for(k=0;k<wmode.length;k++)
{
val=(k==sel.value)?1:0
eval("sel.form."+wmode[k]+".value='"+val+"'")
}
GURL('/'+wmurl[sel.value]+'.htm?Nchgwmode=1')
}
weekday=new Array(
GetElmCont("sntp_0","Every Day")
,GetElmCont("sntp_0","Sunday")
,GetElmCont("sntp_0","Monday")
,GetElmCont("sntp_0","Tuesday")
,GetElmCont("sntp_0","Wednesday")
,GetElmCont("sntp_0","Thursday")
,GetElmCont("sntp_0","Friday")
,GetElmCont("sntp_0","Saturday")
)
weekval=new Array(0x7F,0x01,0x02,0x04,0x08,0x10,0x20,0x40)
function chkHM(st,et,val)
{
val1=parseInt(val,10)
if(isNaN(val1)&&(val!=""))return false
if((val1<st)||(val1>et))return false
else return true
}
function mtapbut()
{
mtapbutstr=" <input type=button name=mapbtn value=\"Multiple AP...\" onclick=\"GURL('map.htm?Nrule=1&Napnum=4')\">"
ddiv=document.getElementById("mtapbut")
if((arguments[0]=='1')&&(ddiv!=null)) ddiv.innerHTML=mtapbutstr
}
TAID_L1=new Array(
"Wizard","Status","Basic_Network","Advanced_Network","Applications","System","Object_Definition","Field Communication","Security","Administration","Service","Helloworld"
)
TAID_L2=new Array(
"wizard_network~wizard_vpn"
,"dash_network~network_status~wireless_status~client_Status~frwl_status~vpn_status~system_status~voip_status~ddns_status~upnp_status~usb_status~statis_status~GNSS_Status~Sta_Basic_Network~Sta_Security~Sta_Administration~Statistics-Reports"
,"WAN~LAN&VLAN~WiFi~IPv6~NAT~NAT2g~QoS2g~Routing~Client_Server_Proxy~DNS-DDNS~Redundancy_g2"
,"Firewall~QoS~VPN~Redundancy~Management~Certificate~Communication_Bus"
,"Voice~Mobile_Applications~NAS~Ap_Management~Captive_Protal~IO_Management~Event_Management~FTP~Plain_Text_System_Config.~Position_Applications~PDU_Management~License_Key~Mac_Authentication"
,"System_related~Scheduling~User_Management~Grouping~External_Servers~MMI~Power_Management"
,"Obj_Scheduling~Obj_User~Obj_Grouping~Obj_External_Server~Obj_Cert"
,"Fie_Bus&Protocol~Data_Interchange~Data_Logging"
,"Sec_VPN2g~Firewall2g~Authenticationl2"
,"Adminis_ConfgMg~System_Operation~FTPl2~Diagnostic"
,"Service_CellularToolkit~Event_Handling~Location_Tracking~Device_Link~Power_Control~AP_Management~License Key"
,"Helloworld1~Helloworld2"
)
TAID_L3=new Array(
"|wizard_network"
+"|wizard_vpn"
,"dash_network"
+"|network_Sta"
+"|wireless_sta"
+"|client_Sta"
+"|frwl_sta"
+"|vpn_sta"
+"|system_sta"
+"|voice_ata~vo3g_sta"
+"|ddns_sta"
+"|upnp_sta"
+"|usb_stat"
+"|surf_sta~traffic_sta~manager_sta~captive_sta~dusage_sta"
+"|GNSS_Sta"
+"|WAN-Uplink~LAN-VLAN~Sta_WiFi~Sta_DDNS"
+"|Sta_VPN~Sta_Firewall"
+"|Sta_Conf-Manage~Sta_LogStorage~Sta_GNSS"
+"|Connection_Session~Network_Traffic~Device_Administration~Portal_Usage~Cellular_Usage"
,"Physical_Interface~Internet_Setup~Load_Balance~Virtual_WAN_g2~WAN_Bonding"
+"|Ethernet_LAN~VLAN~Device_Network_Type~Serial_LAN~Power_over_Ethernet~DHCP_Server_Conf"
+"|WiFi_Configuration~WiFi_Module_One~WiFi_Module_Two~Wireless_Client_List~Advanced_Configuration~Uplink_Profile"
+"|IPv6_Configuration"
+"|NAT_Configuration~Virtual_Server_Computer~Special_AP~DMZ~SDMZ~IP_Translation"
+"|NAT2g_Configuration~Virtual_Server_Computer_g2~IP_Translation_g2~Special_AP_g2~DMZ_g2~SDMZ_g2"
+"|Static_Routing~Dynamic_Routing~Routing_Information"
+"|Dynamic_DNS~DHCP_Server~DHCP_Server_Options~Static_ARP"
+"|DNS_Configuration"
+"|Qos2g_Configuration"
+"|VRRP_g2"
,"Firewall_Configuration~Packet_Filters~URL_Blocking~Web_Content_Filters~MAC_Control~L7_Filters~Access_Control~IPS~Options"
+"|Qos_Configuration~3-Priority_Queue_QoS~Smart_QoS~Rule-based_QoS"
+"|VPN_Configuration~IPSec~PPTP~L2TP~GRE~EoIP~SSL_VPN~OpenVPN" //VPN, GRE see array "TAID_L3_SECR"
+"|VRRP"
+"|TR-069~SNMP~TELNET~UPNP"
+"|Cert_Conf_~My_Certificates~Trusted_Certificates~Issue_Certificates"
+"|port_Configuration~Virtual_COM~virtual_Dial-Up~Modbus"
,"Voice_over_IP~Voice_over_3G"  //VoIP see array "TAID_L3_VoIP"
+"|Sms~Ussd~Nework_Scan~Remote~Auto-activation~SIM_PIN"
+"|Nas_conf~Nas_disk~Nas_web~Nas_download"
+"|Configuration~Ap_list~Ap_Configuration~Static_AP_List"
+"|Captive_Configuration"
+"|IO_Configuration"
+"|Configuration~Managing_Events~Notifying_Events"
+"|GNSS~Track_Viewer"
+"|Outlet_Management~PoE_Port_Management"
+"|Device-Link"
+"|License_Key"
+"|FTP_Server_Configuration~FTP_User_Account"
+"|Mac_Authentication"
,"Password~System_name~System_Information~System_Status~System_Tools~System_Datausage~System_Router_Security~System_Packet_Analyzer"
+"|Schedule_Settings"
+"|User_list~User_profile~User_group"
+"|Grouping_configuation~Host_grouping~File_extension_grouping~L7_application_grouping~Ap_grouping"
+"|External_servers"
+"|Web_UI"
+"|Ignition_Sense"
,"Scheduling_Configuration"
+"|User_list_g2~User_profile_g2~User_group_g2"
+"|Grouping_configuation~Host_grouping~File_extension_grouping~L7_application_grouping~Ap_grouping"
+"|External_Server"
+"|Cert_Conf_g2~My_Certificate_g2~Trusted_Certificate_g2~Issue_Certificate_g2"
,"Port_Configuration~Virtual_Com~Modbus"
+"|m_opc_ua"
+"|m_datalog_conf~m_datalog_scheme~m_datalog_log"
,"VPN2g_Configuration~IPSec~PPTP~L2TP~GRE~OpenVPN"
+"|Firewall2g_Configuration~Packet_Filters~URL_Blocking~Content_Filter~MAC_Control~Application_Filter~IPS~Options"
+"|Authenticationl2_CaptivePortal~Mac_Authentication"
,"Configure&Manage_CommandScript~TR069~SNMP~Telnet_with_CLI~UPnP"
+"|SystemOpt_Password&MMI~System_Info~System_Time~System_Log~Backup-Restore~Reboot-Reset"
+"|FTPl2_ServerConfiguration~User_Account"
+"|Diagnostic_PacketAnalyzer~Diagnostic_Tools"
,"DataUage~CellularToolkit_SMS~SIM_PIN~USSD~Network_Scan"
+"|EvtHandling_Configuration~Managing_Events~Notifying_Events"
+"|LocTracking_GNSS~Track_Viewer"
+"|PwerContr_Ignition~Power_Outlet"
+"|LicenseKey_LicenseKey"
,"helloworld_ui1~helloworld_ui2~helloworld_ui3"
+"|helloworld_examples"
)
TAID_L3_VoIP=new Array(
"Speed_Dial~Phone_Book"
,"Call_Forward~DND_Setting~Caller_ID~Flash_Tim~Call_Waiting~T38_FAX_~Hot_Line~Call_Features"
,"Service_Domain~Port_Setting~Codec_Setting~DTMF_Setting~SIP_Setting_Others"
,"STUN_Setting"
,"Telephony_Profile~Provisionging"
)
TAID_L3_SECR=new Array(
"IPSec~PPTP_Server~PPTP_Client~L2TP_Server~L2TP_Client~GRE"
,"GRE_Tunnel"
)